# Generated from overture-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name overture

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: Tools and configurations for your web app
License: MIT
URL: https://github.com/edgarjs/overture
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest-reporters) >= 1.0
# BuildRequires: rubygem(minitest-reporters) < 2
BuildArch: noarch

%description
Compilation of tools and configurations that will help you
get started with your back-end setup.
This gem contains the basic configuration options and file
organization to create an HTTP layer and also a layer for
the business rules (a.k.a. interactors).
Sinatra is used as a HTTP layer, but it can be easily
replaced. [Interactor](https://rubygems.org/gems/interactor)
is used for the business rules.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/overture
%{gem_instdir}/bin
%{gem_instdir}/generators
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Tue Sep 14 2021 mockbuilder - 0.2.1-1
- Initial package
